cgGetStringParameterValue(3)

NAME
cgGetStringParameterValue - get the value of a string parameter

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetStringParameterValue( CGparameter param );

PARAMETERS

param
    The parameter whose value will be retrieved.

RETURN VALUES
Returns a pointer to the string contained by a string parameter.

Returns NULL if the parameter does not contain a valid string value.

DESCRIPTION
cgGetStringParameterValue allows the application to get the value of a string parameter.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PARAMETER_TYPE_ERROR is generated if param is not string-typed.

HISTORY
cgGetStringParameterValue was introduced in Cg 1.4.

SEE ALSO
the cgSetStringParameterValue manpage